#pragma once

using namespace System;
using namespace System::Windows::Forms;
using namespace System::Drawing;

namespace ErweiterteSteuerelemente
{
   public ref class LupenLabel : Label
	{
   private:
      int betrag;                         // Punkte, um die die Schrift vergrößert wird
      System::Drawing::Font ^alterFont;   // Speichert die nicht vergrößerte Schrift

	public:
		LupenLabel(void);

      // Zusätzliche Eigenschaft
      property int Betrag
      {
         int get()
         {
            return betrag;
         }
         void set(int n)
         {
            betrag = n;
         }
      }

   protected:
      virtual void OnMouseHover(EventArgs ^e) override;
      virtual void OnMouseLeave(EventArgs ^e) override;

	};
}


